Name:           autohint-onoff
Version:        2.0
Release:        %mkrel 1
Group:          System/Configuration
Summary:        A Qt dialog to disable/enable autohint
License:        GPLv3
URL:            http://glenbox.free.fr/autohint-onoff/
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-qt5-devel
BuildRequires:  qttools5
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-widgets
Requires:       python3-sip
Requires:       python3-lxml

%description
This tool helps to enable/disable the autohint for the fonts.

%prep
%setup -q

%build
%py3_build

%install
chmod +x autohint-onoff.py

%__mkdir -p %{buildroot}/%{_datadir}/%{name}/translations/
%__install -D autohint-onoff.py %{buildroot}%{_bindir}/%{name}
%__install -D -m 644 autohint-onoff.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
%__install -D translations/*.qm %{buildroot}/%{_datadir}/%{name}/translations/

# Add translations tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(.*/translations/\)\([a-z-]\+_\)\([a-zA-Z]\+\)\(\.qm\):%lang(\3) \1\2\3\4:' >> %{name}.lang

%files -f %{name}.lang
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Nov 22 2022 dglent <dglent> 2.0-1.mga9
+ Revision: 1909957
- Version 2.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.7-11.mga8
+ Revision: 1533260
- Mageia 8 Mass Rebuild

* Fri Sep 20 2019 daviddavid <daviddavid> 1.7-10.mga8
+ Revision: 1444018
- rebuild for python3.8

* Tue Sep 18 2018 umeabot <umeabot> 1.7-9.mga7
+ Revision: 1261853
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.7-8.mga7
+ Revision: 1260026
- Mageia 7 Mass Rebuild

* Mon Jun 27 2016 akien <akien> 1.7-7.mga6
+ Revision: 1037822
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 1.7-6.mga6
+ Revision: 1037525
- Rebuild for python-sip 4.18

* Tue Feb 09 2016 umeabot <umeabot> 1.7-5.mga6
+ Revision: 951673
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 alexl <alexl> 1.7-4.mga5
+ Revision: 808830
- updated desktop file (merged with lxde-ctrl-center)

* Wed Oct 15 2014 umeabot <umeabot> 1.7-3.mga5
+ Revision: 747606
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-2.mga5
+ Revision: 678060
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu May 01 2014 dglent <dglent> 1.7-1.mga5
+ Revision: 619243
- New version 1.7
- Enable the doubleclic in the list

* Sun Apr 20 2014 dglent <dglent> 1.6-1.mga5
+ Revision: 617112
- Version 1.6
- Patch for translations path when file is in /usr/bin
- Change path in desktop file

* Fri Apr 18 2014 dglent <dglent> 1.5-1.mga5
+ Revision: 616262
- Version 1.5
- Fix path of qt translations

* Fri Apr 18 2014 dglent <dglent> 1.4.1-1.mga5
+ Revision: 616040
- New version 1.4.1
- Add Ukrainian qt translation

* Fri Apr 18 2014 dglent <dglent> 1.4-1.mga5
+ Revision: 616019
- New version 1.4
- Translations for Russian and Ukrainian
- imported package autohint-onoff

